#include <Adafruit_BMP085.h>
#include <LiquidCrystal_I2C.h>

#define ALTITUDE 124 // m

Adafruit_BMP085 bmp;
LiquidCrystal_I2C lcd(0x27, 16, 2);
  
void setup() {
  lcd.init();
  lcd.backlight();
  lcd.clear();

  if (!bmp.begin()) {
    lcd.setCursor(4, 0);
    lcd.print("Sensore");
    lcd.setCursor(2, 1);
    lcd.print("non trovato!");
    
    while (!bmp.begin()) {
      delay(1000);
    }
  }
}
  
void loop() {
  float t = bmp.readTemperature();
  float p = bmp.readSealevelPressure(ALTITUDE) / 100.0;

  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("T: " + String(t) + char(0xDF) + "C");
  lcd.setCursor(0, 1);
  lcd.print("P: " + String(p) + " hPa");
  delay(5000);
}
